Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510904 - inst.nokill option is missing from the installation guide
Summary: inst.nokill option is missing from the installation guide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Installation_Guide
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Bokoc
QA Contact: Jan Stodola
URL:
Whiteboard:
Depends On:
Blocks: 1470091
TreeView+ depends on / blocked
 
Reported: 2017-11-08 12:30 UTC by Samantha N. Bueno
Modified: 2019-03-06 01:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-11 12:23:12 UTC


Attachments (Terms of Use)

Description Samantha N. Bueno 2017-11-08 12:30:02 UTC
Document URL: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/installation_guide/chap-anaconda-boot-options

Section Number and Name: 22.1. Configuring the Installation System at the Boot Menu

Describe the issue: "inst.nokill" is an option that has been in anaconda for quite a while, and it is documented upstream, but missing from our official RHEL documentation. It's very useful for debugging if customers need to capture installation logs and the system (for whatever reason) tends to reboot when something goes wrong.

Suggestions for improvement: Document "inst.nokill". This would fit under the "Debugging and Troubleshooting" options. The exact text can just be used from our upstream docs: https://rhinstaller.github.io/anaconda/boot-options.html#inst-nokill

Comment 2 Petr Bokoc 2017-11-29 14:30:46 UTC
Added the option here: http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Enterprise_Linux-7-Installation_Guide%20(html-single)/396/artifact/tmp/en-US/html-single/index.html#sect-boot-options-installer

On top of what's in upstream I also mentioned it's useful for gathering logs because why not.

Moving straight to verified since this is a trivial fix.

Comment 3 Samantha N. Bueno 2017-11-29 17:30:31 UTC
Awesome, thanks a lot, Petr.

Comment 4 Petr Bokoc 2018-04-11 12:23:12 UTC
Released with RHEL 7.5 GA documentation.


Note You need to log in before you can comment on or make changes to this bug.